package com.dsic.gj_erp.bean.kc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 库存信息
 */
@Getter
@Setter
@TableName("IM_CKWPKWP")
public class ImCkwpkwp {
    @MppMultiId
    private String ckh;
    @MppMultiId
    private String wph;
    @MppMultiId
    private String kwh;//垛位
    @MppMultiId
    private String nbsbm;
//    private String ydid;
//
//    private String cfcs1;//层数
//
//    private String dcCh;
//    private String dcPl;
//    private String dcFd;
//    private String dcTh;
//
//    private String qxkcl;//物品数量
//    private String wpzt;//ky:可用;dy:代用
//
//
//    private BigDecimal jjkcl;
//    private BigDecimal mfkcl;
//    private BigDecimal kcje;
//    private String khth;
//    private String dhh;
//    private String bsbs;
//    private String bssch;
//    private String ylrkbs;
//    private String jgflm;
//    private String ddh;
////    private String ckh;
////    private String wph;
////    private String kwh;
////    private String nbsbm;
////    private String wpzt;
////    private BigDecimal qxkcl;
//    private String rkrq;
//    private BigDecimal rkdj;
//    private String kslx;
//    private String ksbm;
//    private String dqbm;
//    private String kssx;
//    private String ddtz;
//    private String cph;
//    private BigDecimal ddxh;
//    private String bz;
//    private String sxrq;
//    private String wpph;
//    private BigDecimal djzl;
//    private BigDecimal zzl;
//    private String xgrq;
//    private String xgr;
//    private String cpbs;
//    private String hdlx;
//    private String lph;
//    private BigDecimal cfcs;
//    private BigDecimal qxkcl1;
////    private String cfcs1;
//    private String ylzd1;
//    private String ylzd2;
//    private String ylzd3;
//    private String ylzd4;
//    private String ylzd5;
//    private String ylzd6;
//    private BigDecimal ylzd7;
//    private BigDecimal ylzd8;
//    private BigDecimal ylzd9;
//    private BigDecimal ylzd10;
//    private BigDecimal ylzd11;
//    private BigDecimal ylzd12;
//    private BigDecimal ylzd13;
//    private BigDecimal ylzd14;
//    private BigDecimal ylzd15;
////    private String dcCh;
////    private String dcCm;
////    private String dcPl;
////    private String dcFd;
////    private String dcTh;
//    private String dcZl;
//    private String dcTz;
//    private String dcYj;
//    private String dcYs;
//    private String dcPb;
//    private String dcLph;
//    private String dcTpbh;
//    private String dcTpmc;
//    private String dcCh1;
//    private String dcCm1;
//    private String dcPl1;
//    private String flch;
//    private String flpl;
//    private String xz;
//    private String llr;
//    private String llrq;
//    private String zych;
//    private String zypl;
//    private String zylx;
//    private String rklx;
//    private String bgr;
//    private String bgrq;
//    private String yxz;
//    private String ybgr;
//    private String ybgrq;
//    private String ykwh;
//    private BigDecimal dbsl;
//    private String pwwz;
//    private String sldw;
//    private String gcddh;
//    private String jsczrq;
//    private String jsczry;
//    private String fph;
//    private BigDecimal dddj;
//    private BigDecimal hsdj;
//    private BigDecimal jse;
//    private BigDecimal fks1;
//    private BigDecimal hkje;
//    private BigDecimal ftyfje;
//    private BigDecimal ftyfse;
//    private String bzr;
//    private String bzrq;
//    private String sllsh;
//    private String dyry;
//    private String dyrq;
//    private String yprq;
//    private String ypsm;

    @ApiModelProperty(value = "炉批号")
    @TableField("LPH")
    private String lph;

    @ApiModelProperty(value = "存放层数")
    @TableField("CFCS")
    private BigDecimal cfcs;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM")
    private String dcCm;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "图号")
    @TableField("DC_TH")
    private String dcTh;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL")
    private String dcZl;

    @ApiModelProperty(value = "特征")
    @TableField("DC_TZ")
    private String dcTz;

    @ApiModelProperty(value = "依据")
    @TableField("DC_YJ")
    private String dcYj;

    @ApiModelProperty(value = "页数")
    @TableField("DC_YS")
    private String dcYs;

    @ApiModelProperty(value = "拼板")
    @TableField("DC_PB")
    private String dcPb;

    @ApiModelProperty(value = "炉批号")
    @TableField("DC_LPH")
    private String dcLph;

    @ApiModelProperty(value = "托盘编号")
    @TableField("DC_TPBH")
    private String dcTpbh;

    @ApiModelProperty(value = "托盘名称")
    @TableField("DC_TPMC")
    private String dcTpmc;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH1")
    private String dcCh1;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM1")
    private String dcCm1;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL1")
    private String dcPl1;

    @ApiModelProperty(value = "抛丸位置")
    @TableField("PWWZ")
    private String pwwz;

    @ApiModelProperty(value = "抛丸位置")
    @TableField("SLDW")
    private String sldw;

    @ApiModelProperty(value = "船级社")
    @TableField("CJS")
    private String cjs;

    @TableField("YLZD5")
    private String ylzd5;

    @TableField("KSBM")
    private String ksbm;

    @TableField("LLRQ")
    private String llrq;

    @TableField("QXKCL1")
    private BigDecimal qxkcl1;

    @TableField("YBGRQ")
    private String ybgrq;



    @TableField("YLZD13")
    private BigDecimal ylzd13;

    private String bzrq;

    @TableField("RKRQ")
    private String rkrq;

    @TableField("DDTZ")
    private String ddtz;

    private BigDecimal jse;

    @TableField("YLZD2")
    private String ylzd2;

    @TableField("ZYLX")
    private String zylx;

    @TableField("XGRQ")
    private String xgrq;

    @TableField("HDLX")
    private String hdlx;

    @TableField("BGRQ")
    private String bgrq;

    private String dyrq;

    @TableField("KCJE")
    private BigDecimal kcje;

    private BigDecimal ftyfje;



    @TableField("RKDJ")
    private BigDecimal rkdj;

    private String jsczrq;

    private BigDecimal fks1;

    @TableField("XZ")
    private String xz;

    @TableField("BZ")
    private String bz;

    @TableField("RKLX")
    private String rklx;

    @TableField("XGR")
    private String xgr;

    @TableField("YXZ")
    private String yxz;

    private BigDecimal ftyfse;

    @TableField("YLZD11")
    private BigDecimal ylzd11;

    @TableField("BSBS")
    private String bsbs;


    @TableField("DDDJ")
    private BigDecimal dddj;

    @TableField("YLZD8")
    private BigDecimal ylzd8;

    @TableField("CFCS1")
    private String cfcs1;

    @TableField("ZYCH")
    private String zych;

    @TableField("DJZL")
    private BigDecimal djzl;

    @TableField("JGFLM")
    private String jgflm;

    @TableField("WPZT")
    private String wpzt;

    @TableField("YLZD14")
    private BigDecimal ylzd14;

    private String sllsh;

    @TableField("CPH")
    private String cph;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("YLZD9")
    private BigDecimal ylzd9;

    @TableField("FLCH")
    private String flch;

    private BigDecimal hsdj;

    @TableField("ZYPL")
    private String zypl;

    @TableField("ZZL")
    private BigDecimal zzl;

    @TableField("CPBS")
    private String cpbs;

    private String yprq;

    @TableField("DDH")
    private String ddh;

    @TableField("KHTH")
    private String khth;

    @TableField("YLZD15")
    private BigDecimal ylzd15;

    @TableField("DQBM")
    private String dqbm;

    private String jsczry;

    @TableField("HKJE")
    private BigDecimal hkje;

    @TableField("YLZD6")
    private String ylzd6;

    @TableField("SXRQ")
    private String sxrq;

    @TableField("LLR")
    private String llr;

    @TableField("YKWH")
    private String ykwh;

    @TableField("JJKCL")
    private BigDecimal jjkcl;



    @TableField("YLZD12")
    private BigDecimal ylzd12;

    private String ydid;

    @TableField("BSSCH")
    private String bssch;

    @TableField("YLZD7")
    private BigDecimal ylzd7;

    @TableField("KSSX")
    private String kssx;

    private String fph;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("WPPH")
    private String wpph;

    @TableField("DBSL")
    private BigDecimal dbsl;

    @TableField("QXKCL")
    private BigDecimal qxkcl;

    @TableField("MFKCL")
    private BigDecimal mfkcl;

    private String dyry;

    @TableField("YLRKBS")
    private String ylrkbs;

    @TableField("YLZD4")
    private String ylzd4;

    @TableField("YLZD10")
    private BigDecimal ylzd10;

    @TableField("FLPL")
    private String flpl;

    @TableField("KSLX")
    private String kslx;

    @TableField("GCDDH")
    private String gcddh;

    @TableField("DDXH")
    private BigDecimal ddxh;

    @TableField("BGR")
    private String bgr;

    @TableField("YBGR")
    private String ybgr;

    private String bzr;

    @TableField("DHH")
    private String dhh;

    private String ypsm;


}
