package com.dsic.gj_erp.bean.zyjh;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 预处理垛位
 */
@Getter
@Setter
public class Ycldw {

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String name;
    private DwTypeEnum type;
    private String tzbh;

    @TableField(exist = false)
    private List<YcldwInfo> list;


    public enum DwTypeEnum{
        YCL,//预处理垛位
        LLJ,//理料间垛位
        YPP,//预配盘垛位
    }
}
