package com.dsic.gj_erp.wsclient.handler;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import com.dsic.gj_erp.ws.WsHandler;
import com.dsic.gj_erp.wsclient.Message;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
public class ZxHandler implements IHandlerService{

    private final DmYdjhService ydjhService;
    private final WsHandler wsHandler;

    @Override
    public boolean execute(Message message) {
        String djh=message.getMsg().getOrderNumber();
        DmYdjh one = ydjhService.getOne(Wrappers.<DmYdjh>lambdaQuery().eq(DmYdjh::getDjh, djh));
        JSONObject object=new JSONObject();
        object.put("zyjh",one);
        object.put("zt",one.getZt());
        wsHandler.zyjhzx(object);

        return true;
    }
}
